Creating a product

You'll just need to send a POST request to the Create Product endpoint and pass name,description,images,numbers_of_items,price,type,pricing_types as request body.

curl --location --request POST 'https://rllwjl4z6b.execute-api.eu-central-1.amazonaws.com/api/v1/items' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{api_token}}' \
--data-raw '{
    "name": "Banana",
    "description": "Wholesome fruit",
    "images": [
        "https://img.freepik.com/free-vector/nigeria-map-flag-national-emblem_2239-230.jpg?size=338&ext=jpg",
        "https://img.freepik.com/free-vector/nigeria-map-flag-national-emblem_2239-230.jpg?size=338&ext=jpg"
    ],
    "number_of_items": 4,
    "price": 1550,
    "type": "products",
    "pricing_type": "single_price"
}'